'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function lowerBound(left, right, cmp) {
    let i = left;
    for (let j = right; i < j;) {
        const k = (i + j) >> 1;
        if (cmp(k) < 0)
            i = k + 1;
        else
            j = k;
    }
    return i;
}

exports['default'] = lowerBound;
exports.lowerBound = lowerBound;
